%define url_ver %(echo %{version} | cut -d. -f1,2)

# don't provide plugin .so
%global __provides_exclude_from %{_libdir}/xfce4/panel/plugins/.*\\.so

Summary: 	Notification daemon for Xfce desktop environment
Name: 		xfce4-notifyd
Version: 	0.6.2
Release: 	%mkrel 2
License:	GPLv3
Group: 		Graphical desktop/Xfce
URL:		https://docs.xfce.org/apps/notifyd/start
Source0:	https://archive.xfce.org/src/apps/%{name}/%{url_ver}/%{name}-%{version}.tar.bz2
# Mageia patches
#
Patch500:	0001-Reimplement-g_date_time_format_iso8601-to-drop-GLib-.patch
BuildRequires:	intltool
BuildRequires:	systemd-devel

# for dbus-binding-tool
BuildRequires:	pkgconfig(dbus-glib-1)

BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(gio-unix-2.0)
BuildRequires:	pkgconfig(libnotify)
BuildRequires:	pkgconfig(libxfce4panel-2.0)
BuildRequires:	pkgconfig(libxfce4ui-2)
BuildRequires:	pkgconfig(libxfce4util-1.0)
BuildRequires:	pkgconfig(libxfconf-0)
Requires:	xfconf
Requires:	libnotify
Provides:	virtual-notification-daemon
Provides:	%{name}-plugin = %{version}-%{release}

%description
Xfce4-notifyd is a simple, visually-appealing notification daemon for
Xfce that implements the Freedesktop.org Desktop Notifications
Specification.

Apart from the notification server a panel plugin is included which
shows recent notifications in a dropdown menu in the Xfce Panel.

%prep
%setup -q
%if 0%{?mageia} < 8
# Allow building with glib < 2.62
%patch500 -p1
%endif

%build
%configure \
	--disable-static \
	--disable-dbus-start-daemon
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang %{name}

%files -f %{name}.lang
%doc ChangeLog AUTHORS README TODO
%{_bindir}/xfce4-notifyd-config
%{_libdir}/xfce4/notifyd
%{_datadir}/applications/*.desktop
%{_sysconfdir}/xdg/autostart/%{name}.desktop
#%%{_datadir}/dbus-1/services/org.xfce.xfce4-notifyd.Notifications.service
%{_iconsdir}/hicolor/*/*/*.{png,svg}
%{_datadir}/themes/*/
%{_mandir}/man1/xfce4-notifyd-config.1*
#panel plugin
%{_libdir}/xfce4/panel/plugins/libnotification-plugin.so
%{_datadir}/xfce4/panel/plugins/notification-plugin.desktop


%changelog
* Sat Dec 26 2020 wally <wally> 0.6.2-2.mga8
+ Revision: 1663900
- add patch to allow building with glib < 2.62 (mga7 for example)

* Tue Sep 01 2020 wally <wally> 0.6.2-1.mga8
+ Revision: 1620651
- new version 0.6.2

* Wed May 06 2020 wally <wally> 0.6.1-1.mga8
+ Revision: 1581210
- new version 0.6.1

* Wed Apr 08 2020 wally <wally> 0.6.0-1.mga8
+ Revision: 1565626
- new version 0.6.0

* Sat Feb 15 2020 umeabot <umeabot> 0.4.4-2.mga8
+ Revision: 1526123
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Apr 26 2019 wally <wally> 0.4.4-1.mga7
+ Revision: 1395611
- new version 0.4.4

* Sat Oct 27 2018 wally <wally> 0.4.3-1.mga7
+ Revision: 1326131
- new version 0.4.3

* Sun Sep 23 2018 umeabot <umeabot> 0.4.2-2.mga7
+ Revision: 1301872
- Mageia 7 Mass Rebuild

* Sat Mar 03 2018 wally <wally> 0.4.2-1.mga7
+ Revision: 1206197
- new version 0.4.2

* Tue Dec 12 2017 wally <wally> 0.4.1-2.mga7
+ Revision: 1182462
- use upstream autostart file

* Tue Dec 12 2017 wally <wally> 0.4.1-1.mga7
+ Revision: 1182457
- new version 0.4.1

* Wed Oct 18 2017 wally <wally> 0.4.0-1.mga7
+ Revision: 1172622
- new version 0.4.0
- drop unneeded 'no idle shutdown' patch
- provide xfce4-notifyd-plugin

* Sat Sep 30 2017 wally <wally> 0.3.6-1.mga7
+ Revision: 1161980
- new version 0.3.6
- drop patches from upstream

* Tue Feb 09 2016 umeabot <umeabot> 0.2.4-8.mga6
+ Revision: 952461
- Mageia 6 Mass Rebuild

* Fri Jan 29 2016 wally <wally> 0.2.4-7.mga6
+ Revision: 928808
- cherry pick interesting patches from upstream git

* Tue Mar 03 2015 wally <wally> 0.2.4-6.mga5
+ Revision: 817515
- rebuild for new libxfce4util

* Wed Oct 15 2014 umeabot <umeabot> 0.2.4-5.mga5
+ Revision: 745365
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2.4-4.mga5
+ Revision: 690622
- Mageia 5 Mass Rebuild

* Tue Feb 04 2014 wally <wally> 0.2.4-3.mga5
+ Revision: 581002
- drop unneeded conflicts for notification-daemon (mga#12480)
- drop dbus service file and autostart when starting Xfce
- add patch to prevent daemon idle shutdown

* Sat Oct 19 2013 umeabot <umeabot> 0.2.4-2.mga4
+ Revision: 523576
- Mageia 4 Mass Rebuild

* Thu May 23 2013 wally <wally> 0.2.4-1.mga4
+ Revision: 425083
- new version 0.2.4

* Mon Jan 14 2013 umeabot <umeabot> 0.2.2-4.mga3
+ Revision: 386858
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue May 29 2012 wally <wally> 0.2.2-3.mga3
+ Revision: 249400
- rebuild for new libxfce4util
- clean .spec

* Fri Mar 16 2012 wally <wally> 0.2.2-2.mga2
+ Revision: 223654
- require libnotify (for previews in xfce4-notifyd-config)

* Tue Sep 06 2011 tv <tv> 0.2.2-1.mga2
+ Revision: 139821
- new release

* Sat Apr 09 2011 ahmad <ahmad> 0.2.1-3.mga1
+ Revision: 82500
- bump libxfce4ui-devel required version
- imported package xfce4-notifyd


* Sat Mar 12 2011 Funda Wang <fwang@mandriva.org> 0.2.1-2mdv2011.0
+ Revision: 643887
- rebuild to obsolete old packages

* Wed Feb 02 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.1-1
+ Revision: 635386
- update to new version 0.2.1

* Wed Jan 26 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.0-2
+ Revision: 633056
- rebuild for new Xfce 4.8.0

* Sat Nov 27 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.0-1mdv2011.0
+ Revision: 601903
- update to new version 0.2.0
- update urls
- drop patch 0
- fix file list

* Fri May 07 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.1.0-7mdv2010.1
+ Revision: 543311
- rebuild for mdv 2010.1

* Sun Aug 30 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.1.0-6mdv2010.0
+ Revision: 422646
- add requires on xfconf (mdvbz #51336)

* Sun May 24 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.1.0-5mdv2010.0
+ Revision: 379282
- Patch0:correctly send two arguments with NotificationClosed

* Thu Mar 05 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.1.0-4mdv2009.1
+ Revision: 349225
- rebuild whole xfce

* Fri Nov 28 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.1.0-3mdv2009.1
+ Revision: 307474
- conflicts with notification-daemon

* Fri Nov 28 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.1.0-2mdv2009.1
+ Revision: 307472
- provides virtual-notification-daemon
- obsolete notification-daemon-xfce

* Wed Nov 26 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.1.0-1mdv2009.1
+ Revision: 306810
- add source and spec files
- Created package structure for xfce4-notifyd.

